Subject: bug#12218: 24.2.50; vc-ediff: Pressing `n' moves focus away from ediff control panel

From: martin rudalics <[email-masked]>
Date: Fri, 05 Oct 2012 20:07:49 +0200

> I am debian squeeze running Emacs from trunk (bzr version is visible in
 > the attached screenshot). Emacs is launched like this:
 >
 >    ~/src/emacs/trunk/src/emacs  --debug-init -Q
 >
 > `ediff-grab-mouse' is at it's default value of t.

And what happens if you set it to nil (that's what I use for whatever
reason).  IIRC ediff's mouse grabbing code is very convoluted and partly
dead.

 > I am attaching a screenshot of my desktop.
 >
 > I don't know whether the diff file has any bearing on the behaviour.
 > The register.el on display is the one obtained by applying the
 > bug12389.diff.
 >
 > This bug is bit of an annoyance.  I am happy you are lookng in to it.

I'm afraid I can't be of much help here.  I don't put the control panel
in an extra frame; I use `ediff-setup-windows-plain'.

martin